package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ FsOrderDetailModel = (*customFsOrderDetailModel)(nil)

type (
	// FsOrderDetailModel is an interface to be customized, add more methods here,
	// and implement the added methods in customFsOrderDetailModel.
	FsOrderDetailModel interface {
		fsOrderDetailModel
	}

	customFsOrderDetailModel struct {
		*defaultFsOrderDetailModel
	}
)

// NewFsOrderDetailModel returns a model for the database table.
func NewFsOrderDetailModel(conn sqlx.SqlConn) FsOrderDetailModel {
	return &customFsOrderDetailModel{
		defaultFsOrderDetailModel: newFsOrderDetailModel(conn),
	}
}
